---
- name: Running Ironic bootstrap container
  vars:
    ironic_api: "{{ ironic_services['ironic-api'] }}"
  kolla_docker:
    action: "start_container"
    common_options: "{{ docker_common_options }}"
    detach: False
    environment:
      KOLLA_BOOTSTRAP:
      KOLLA_CONFIG_STRATEGY: "{{ config_strategy }}"
    image: "{{ ironic_api.image }}"
    labels:
      BOOTSTRAP:
    name: "bootstrap_ironic"
    restart_policy: "never"
    volumes: "{{ ironic_api.volumes|reject('equalto', '')|list }}"
  run_once: True
  delegate_to: "{{ groups[ironic_api.group][0] }}"
  when: inventory_hostname in groups[ironic_api.group]

- name: Running Ironic Inspector bootstrap container
  vars:
    ironic_inspector: "{{ ironic_services['ironic-inspector'] }}"
  kolla_docker:
    action: "start_container"
    common_options: "{{ docker_common_options }}"
    detach: False
    environment:
      KOLLA_BOOTSTRAP:
      KOLLA_CONFIG_STRATEGY: "{{ config_strategy }}"
    image: "{{ ironic_inspector.image }}"
    labels:
      BOOTSTRAP:
    name: "bootstrap_ironic_inspector"
    restart_policy: "never"
    volumes: "{{ ironic_inspector.volumes|reject('equalto', '')|list }}"
  run_once: True
  delegate_to: "{{ groups[ironic_inspector.group][0] }}"
  when: inventory_hostname in groups[ironic_inspector.group]
